#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

HEADER = "header"
BODY = "body"

RESULT = "result"
SHARE = "share"
JOB = "job"
START = "start"
END = "end"
ELAPSE = "elapse"
NG_FILES = "ngfiles"
NG_DIRS = "ngdirs"
TOTAL_FILES = "totfiles"
TOTAL_DIRS = "totdirs"

RESULT_TMPL = "%(" + RESULT + ")s"
SHARE_TMPL = "%(" + SHARE + ")s"
JOB_TMPL = "%(" + JOB + ")s"
START_TMPL = "%(" + START + ")s"
END_TMPL = "%(" + END + ")s"
ELAPSE_TMPL = "%(" + ELAPSE + ")s"

SUMMARY_OK_KEY = "OK"
SUMMARY_NG_KEY = "NG"
SUMMARY_FILE_DEL_OK_KEY = "FDELOK"
SUMMARY_FILE_DEL_NG_KEY = "FDELNG"
SUMMARY_DIR_OK_KEY = "DIROK"
SUMMARY_DIR_NG_KEY = "DIRNG"
SUMMARY_DIR_DEL_OK_KEY = "DDELOK"
SUMMARY_DIR_DEL_NG_KEY = "DDELNG"

FILE_UPLOAD_OK_TMPL = "%(" + SUMMARY_OK_KEY + ")d"
FILE_UPLOAD_NG_TMPL = "%(" + SUMMARY_NG_KEY + ")d"
DIR_UPLOAD_OK_TMPL = "%(" + SUMMARY_DIR_OK_KEY + ")d"
DIR_UPLOAD_NG_TMPL = "%(" + SUMMARY_DIR_NG_KEY + ")d"

FILE_DOWNLOAD_OK_TMPL = "%(" + SUMMARY_OK_KEY + ")d"
FILE_DOWNLOAD_NG_TMPL = "%(" + SUMMARY_NG_KEY + ")d"
DIR_DOWNLOAD_OK_TMPL = "%(" + SUMMARY_DIR_OK_KEY + ")d"
DIR_DOWNLOAD_NG_TMPL = "%(" + SUMMARY_DIR_NG_KEY + ")d"

FILE_DEL_OK_TMPL = "%(" + SUMMARY_FILE_DEL_OK_KEY + ")d"
FILE_DEL_NG_TMPL = "%(" + SUMMARY_FILE_DEL_NG_KEY + ")d"

DIR_DEL_OK_TMPL = "%(" + SUMMARY_DIR_DEL_OK_KEY + ")d"
DIR_DEL_NG_TMPL = "%(" + SUMMARY_DIR_DEL_NG_KEY + ")d"

TOTAL_FILES_TMPL = "%(" + TOTAL_FILES + ")d"
TOTAL_DIRS_TMPL = "%(" + TOTAL_DIRS + ")d"

SUMMARY_HEADER_TMPL = u"""============================
    クラウド同期結果
============================
結果: %s
共有名: %s
開始日時: %s
終了日時: %s
経過時間: %s
""" % (RESULT_TMPL, SHARE_TMPL, START_TMPL, END_TMPL, ELAPSE_TMPL)

SUMMARY_UPLOAD_BODY_TMPL = u"""
---------------------------------------------------------
アップロードに成功したファイル数 : %s個
アップロードに失敗したファイル数 : %s個
削除に成功したファイル数         : %s個
削除に失敗したファイル数         : %s個
総ファイル数                     : %s個

アップロードに成功したフォルダ数 : %s個
アップロードに失敗したフォルダ数 : %s個
削除に成功したフォルダ数         : %s個
削除に失敗したフォルダ数         : %s個
総フォルダ数                     : %s個
""" % (FILE_UPLOAD_OK_TMPL,
       FILE_UPLOAD_NG_TMPL,
       FILE_DEL_OK_TMPL,
       FILE_DEL_NG_TMPL,
       TOTAL_FILES_TMPL,
       DIR_UPLOAD_OK_TMPL,
       DIR_UPLOAD_NG_TMPL,
       DIR_DEL_OK_TMPL,
       DIR_DEL_NG_TMPL,
       TOTAL_DIRS_TMPL)

SUMMARY_DOWNLOAD_BODY_TMPL = u"""
---------------------------------------------------------
ダウンロードに成功したファイル数 : %s個
ダウンロードに失敗したファイル数 : %s個
削除に成功したファイル数         : %s個
削除に失敗したファイル数         : %s個
総ファイル数                     : %s個

ダウンロードに成功したフォルダ数 : %s個
ダウンロードに失敗したフォルダ数 : %s個
削除に成功したフォルダ数         : %s個
削除に失敗したフォルダ数         : %s個
総フォルダ数                     : %s個
""" % (FILE_DOWNLOAD_OK_TMPL,
       FILE_DOWNLOAD_NG_TMPL,
       FILE_DEL_OK_TMPL,
       FILE_DEL_NG_TMPL,
       TOTAL_FILES_TMPL,
       DIR_DOWNLOAD_OK_TMPL,
       DIR_DOWNLOAD_NG_TMPL,
       DIR_DEL_OK_TMPL,
       DIR_DEL_NG_TMPL,
       TOTAL_DIRS_TMPL)

SUMMARY_UPLOAD_NG_FILES = u"[アップロードに失敗したファイル一覧]\r\n"
SUMMARY_UPLOAD_NG_DIRS = u"[アップロードに失敗したフォルダ一覧]\r\n"
SUMMARY_DOWNLOAD_NG_FILES = u"[ダウンロードに失敗したファイル一覧]\r\n"
SUMMARY_DOWNLOAD_NG_DIRS = u"[ダウンロードに失敗したフォルダ一覧]\r\n"
SUMMARY_DEL_NG_FILES = u"[削除に失敗したファイル一覧]\r\n"
SUMMARY_DEL_NG_DIRS = u"[削除に失敗したフォルダ一覧]\r\n"