# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""Module to access the Fuji Xerox Working Folder server with REST API."""


try:
    import json
except:
    import simplejson as json

import os
import time
import stat
import calendar
import re
from ionas.restapi.client import (FileClient,)


class FxwfClient(FileClient):
    """Client class for the Fuji Xerox Working Folder."""

    def __init__(self, fxwf_info, headers={}, proxies=None):
        """Constructor."""

        FileClient.__init__(self, fxwf_info, headers, proxies)

    def list_drawers(self, headers={}):
        """Return a list of drawers."""

        request_info = self.access_info.get_list_drawers_req_info()
        response = self._urlopen(request_info, headers)
        return self.access_info.to_drawer_list(response)
