#!/usr/bin/env python
# -*- coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

import os
try:
    import json
except ImportError:
    import simplejson as json

from django.utils.translation import ugettext as _
from django.http import HttpResponse

from project.view import RootView

from project.fal.fxwf import Fxwf as WorkingFolder
from .form import GetDrawernamesForm


class GetDrawernamesView(RootView):

    views = []

    def view(self, request):
        drawernames = []
        form = GetDrawernamesForm(data=request.GET)
        if form.is_valid():
            email = form.cleaned_data['email']
            password = form.cleaned_data['password']
            cabinet = form.cleaned_data['cabinet']
            drawers = WorkingFolder().list(
                uid=email,
                passwd=password,
                cabinet=cabinet,
            )
            datalist = [{
                "label": [drawer["name"], drawer["desc"]],
                "value": drawer["name"],
            } for drawer in drawers]
            response = HttpResponse(
                json.dumps(datalist),
                mimetype='application/json;charset=UTF-8;',
            )
            return {
                self.KEY_RESPONSE: response,
            }
